<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [useOnStepSave](./react.useonstepsave.md)

## useOnStepSave() function

<b>Signature:</b>

```typescript
export declare function useOnStepSave(workflow: Workflow): (step: Step, index: number | undefined) => Step;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  workflow | Workflow |  |

<b>Returns:</b>

(step: Step, index: number \| undefined) =&gt; Step

